Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.util.config
Class IpAddressConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.StringConfigOption
              net.hyperic.util.config.IpAddressConfigOption

All Implemented Interfaces:
  java.io.Serializable

public class IpAddressConfigOption
extends StringConfigOption

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_ADDR`

Constructor Summary
`IpAddressConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue)`

Method Summary
`void` | `checkOptionIsValid(java.lang.String value)`

Methods inherited from class net.hyperic.util.config.StringConfigOption
`getMaxLength, getMinLength, getTransport, isHidden, isSecret, setHidden, setMaxLength, setMinLength, setSecret`

Methods inherited from class net.hyperic.util.config.ConfigOption
`equals, getDefault, getDescription, getName, getTransport, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_ADDR

    public static final java.lang.String DEFAULT_ADDR

See Also:
  Constant Field Values

Constructor Detail

### IpAddressConfigOption

    public IpAddressConfigOption(java.lang.String optName,
                                 java.lang.String optDesc,
                                 java.lang.String defValue)

Method Detail

### checkOptionIsValid

    public void checkOptionIsValid(java.lang.String value)
                            throws InvalidOptionValueException

  Overrides:
    `checkOptionIsValid` in class `StringConfigOption`
  Throws:
    `InvalidOptionValueException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.